> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-d355519d.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# サービスのバックアップ構成を更新

> service のバックアップ設定を更新します。ADMIN 認証キーのロールが必要です。プロパティに NULL 値を設定すると、そのプロパティはデフォルト値にリセットされます。



## OpenAPI

````yaml /ja/_specs/cloud-openapi.json patch /v1/organizations/{organizationId}/services/{serviceId}/backupConfiguration
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/backupConfiguration:
    patch:
      tags:
        - Backup
      summary: サービスのバックアップ構成を更新
      description: >-
        service のバックアップ設定を更新します。ADMIN 認証キーのロールが必要です。プロパティに NULL
        値を設定すると、そのプロパティはデフォルト値にリセットされます。
      parameters:
        - description: この service を所有する組織の ID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: service の ID。
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BackupConfigurationPatchRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 各リクエストに割り当てられる一意の ID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/BackupConfiguration'
                  status:
                    description: HTTP ステータスコード。
                    example: 200
                    type: number
                type: object
          description: 成功時のレスポンス
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: エラーの詳細説明。
                    type: string
                  status:
                    description: HTTP ステータスコード。
                    example: 400
                    type: number
                type: object
          description: クライアントエラーと見なされる何らかの理由により、server がリクエストを処理できないか、または処理しません。
components:
  schemas:
    BackupConfigurationPatchRequest:
      properties:
        backupPeriodInHours:
          description: 各バックアップの間隔（時間）。
          type: number
        backupRetentionPeriodInHours:
          description: バックアップを利用可能な状態で保持する最小期間（時間）。
          type: number
        backupStartTime:
          description: >-
            バックアップを実行する時刻（HH:MM 形式、UTC タイムゾーンで評価）。定義すると、バックアップ間隔は 24
            時間ごとにリセットされます。
          type: string
    BackupConfiguration:
      properties:
        backupPeriodInHours:
          description: 各バックアップの実行間隔（時間単位）。
          type: number
        backupRetentionPeriodInHours:
          description: バックアップを利用可能な状態で保持する最短期間（時間単位）。
          type: number
        backupStartTime:
          description: >-
            バックアップを実行する時刻（HH:MM 形式、UTC タイムゾーンで判定）。定義すると、バックアップの実行間隔は 24
            時間ごとにリセットされます。
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud console で取得した key ID と key secret を使用してください:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````